[Plone-IT] Plone, GDAL, gdal e geos

Giacomo Zanobini g.zanobini a arpat.toscana.it
Mer 11 Apr 2012 12:41:30 UTC


ciao a tutti
mi hanno dato uno script in python, che deve essere eseguito da Plone 
3.3.5 (l'interprete  in /usr/local/Plone/Python2.4/bin/ )

tra gli import, c'e' un "from osgeo import org"

purtroppo lo script, funziona "quasi", fino al momento in cui dovendo 
verificare se un punto cade all'interno di un perimetro esegue questa 
istruzione:
> if not point.Within(geometry):
a questo punto, viene presentato un terribile messaggio:
> ERROR 6: GEOS support not enabled.
eppure le librerie gdal sono installate, e anche le librerie per il 
supporto GEOS dovrebbero esserci.

ho installato le librerie gdal-1.9.0 manualmente con comandi tipo:

  * ./configure  -with-geos=yes
  * make
  * make install

e le librerie geos da rpm.

Quando esegue il comando ./configure, c'e' questo output
> checking for geos-config... /usr/bin/geos-config
> checking for GEOS version >= 2.2.0... yes
> checking for GEOSversion in -lgeos_c... yes
> configure: Using C API from GEOS 3.0.2

per il supporto da python ho fatto "easy_install GDAL"; l'unica nota  
che questa istallazione  stata fatta prima di installare le librerie 
GEOS nel sistema.

La distro  una CentOS....


....qualcuno ha un'idea, che non so piu' dove cercare?



THKS !!!!
Giacomo

-------------- parte successiva --------------
Un allegato HTML  stato rimosso...
URL: <http://lists.plone.org/pipermail/plone-plone-it/attachments/20120411/4bb3ebab/attachment.html>


Maggiori informazioni sulla lista Plone-IT